task suppa2{
    String sample_id
    File fastq1
    File fastq2
    File suppa2_GTF
    File suppa2_ioe
    File salmon_index
	
    String docker
    String cluster
    String disk_size

    command <<<
	
        set -o pipefail
        set -e

        /software/salmon-1.5.2_linux_x86_64/bin/salmon quant -i ${salmon_index} -l ISR --gcBias -1 ${fastq1} -2 ${fastq2} -p 16 -o ./${sample_id}_salmon
        multipleFieldSelection.py -i ./${sample_id}_salmon/quant.sf -k 1 -f 4 -o ${sample_id}_iso_tpm.txt
        sed 's@|ENSG.*|@@' ${sample_id}_iso_tpm.txt > ${sample_id}_iso_tpm_formatted.txt
        suppa.py psiPerEvent -i ${suppa2_ioe} -e ${sample_id}_iso_tpm_formatted.txt -o ${sample_id}_events
        suppa.py psiPerIsoform -g ${suppa2_GTF}  -e ${sample_id}_iso_tpm_formatted.txt  -o ${sample_id}

    >>>
	
    runtime {
        docker : docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File suppa2_events = "${sample_id}_events.psi"
        File suppa2_isoform = "${sample_id}_events.psi"
        File TPM = "${sample_id}_iso_tpm.txt"
        File formatted_TPM = "${sample_id}_iso_tpm_formatted.txt"
    }

}


